Subject: Re: bug#19503: most translations of proper names aren't being used

From: Pádraig Brady <[email-masked]>
Date: Sun, 04 Jan 2015 17:43:20 +0000

On 04/01/15 16:50, Jim Meyering wrote:
> On Sun, Jan 4, 2015 at 7:53 AM, Pádraig Brady <[email-masked]> wrote:
> ...
>> Also there is the more general point about how correct
>> it is to attribute a program to author(s) in any case,
>> as that tracked to a much more accurate level of detail
>> by git blame etc.  Should we be removing output of
>> author names at runtime completely?
> 
> We cannot do that blindly, since we lack version control history
> from before 1992, which would make it appear that David J. MacKenzie
> (who wrote many of these tools from scratch) contributed nothing.

Well we'd still leave the  /* Written by ... */ comments at the start.
I'm just not convinced of the need for attribution at runtime,
given that it's inaccurate and awkward to represent.

BTW, it might have been nice to have the initial git commits
for these tools attributed to the original author. Hindsight and all that :)
Also I was wondering recently about the origins of some of this code,
and thought it might be useful to have a repo with commits per
release, which could be obtained from various old tar balls.
I did notice a few pre 1992 tarballs. I wonder what the best
source of these would be.

cheers,
Pádraig.